﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DisplayASimpleMap.aspx.cs"
    Inherits="CSSamples.Samples.DisplayASimpleMap" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Display a Simple Map</title>

    <script type="text/javascript">
        var shapeOverlay = null;
        var currentFeature = null;
        var styleRed = null;
        var OnMapCreated = function(map){
            shapeOverlay = new OpenLayers.Layer.Vector({style:{fillColor:'red'}});
            map.addLayer(shapeOverlay);
            
            styleRed = {
                strokeColor: "red",
                strokeWidth: 1,
                strokeDashstyle: "solid",
                pointRadius: 6,
                fillColor: 'red'
            };
        }
        
        var linkOver = function(obj){
            if(shapeOverlay!=null){
                currentFeature = new OpenLayers.Format.WKT().read(obj.wkt);
                currentFeature.style = styleRed;
                shapeOverlay.addFeatures([currentFeature]);
            }
        };
        var linkOut = function(){
            if(shapeOverlay && currentFeature){
                shapeOverlay.destroyFeatures([currentFeature]);
            }
        };
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Width="800" Height="600" OnTrackShapeFinished="Map1_TrackShapeFinished">
    </cc1:Map>
    <input type="button" value="Draw Rectangle" onclick="Map1.SetDrawMode('Rectangle');return false;" />
    <asp:Panel runat="server" ID="panel">
    </asp:Panel>
    </form>
</body>
</html>
